For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create a cluster

Creates a new PostgreSQL cluster. If the fromBackup field is populated, the new cluster will be created based on the given backup.

post
Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication.

Body

Request payload with all data needed to create a new PostgreSQL cluster.

Responses
200

The created cluster is returned with metadata.state set to "BUSY".

application/json

A database cluster.

typestring · enumOptional

The type of the resource.

Possible values:
idstringOptional

The unique ID of the resource.

Example: 498ae72f-411f-11eb-9d07-046c59cc737e
post/clusters
POST /databases/postgresql/clusters HTTP/1.1
Host: api.ionos.com
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 956

{
  "metadata": {
    "createdDate": "2020-12-10T13:37:50+01:00",
    "createdBy": "john.doe@example.com",
    "createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "lastModifiedDate": "2020-12-11T13:37:50+01:00",
    "lastModifiedBy": "jane.doe@example.com",
    "lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "state": "AVAILABLE"
  },
  "properties": {
    "postgresVersion": "13",
    "instances": 2,
    "cores": 4,
    "ram": 4096,
    "storageSize": 15000,
    "storageType": "HDD",
    "connections": [
      {
        "datacenterId": "5a029f4a-72e5-11ec-90d6-0242ac120003",
        "lanId": "2",
        "cidr": "192.168.1.100/24"
      }
    ],
    "location": "de/fra",
    "backupLocation": "de",
    "displayName": "PostgreSQL cluster",
    "maintenanceWindow": {
      "time": "16:30:59",
      "dayOfTheWeek": "Monday"
    },
    "credentials": {
      "username": "db-admin",
      "password": "password123"
    },
    "synchronizationMode": "ASYNCHRONOUS",
    "fromBackup": {
      "backupId": "dcd31531-3ac8-11eb-9feb-046c59cc737e",
      "recoveryTargetTime": "2020-12-10T13:37:50+01:00"
    },
    "connectionPooler": {
      "enabled": true,
      "poolMode": "transaction"
    }
  }
}
{
  "type": "cluster",
  "id": "498ae72f-411f-11eb-9d07-046c59cc737e",
  "metadata": {
    "createdDate": "2020-12-10T13:37:50+01:00",
    "createdBy": "john.doe@example.com",
    "createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "lastModifiedDate": "2020-12-11T13:37:50+01:00",
    "lastModifiedBy": "jane.doe@example.com",
    "lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "state": "AVAILABLE"
  },
  "properties": {
    "displayName": "PostgreSQL cluster",
    "postgresVersion": "13",
    "location": "de/fra",
    "dnsName": "pg.example.com",
    "backupLocation": "de",
    "instances": 2,
    "ram": 4096,
    "cores": 4,
    "storageSize": 15000,
    "storageType": "HDD",
    "connections": [
      {
        "datacenterId": "5a029f4a-72e5-11ec-90d6-0242ac120003",
        "lanId": "2",
        "cidr": "192.168.1.100/24"
      }
    ],
    "maintenanceWindow": {
      "time": "16:30:59",
      "dayOfTheWeek": "Monday"
    },
    "synchronizationMode": "ASYNCHRONOUS",
    "connectionPooler": {
      "enabled": true,
      "poolMode": "transaction"
    }
  }
}

Last updated

Was this helpful?